## org.apache.poi.ss.usermodel
Interface Hyperlink

All Superinterfaces:
  Hyperlink

    public interface Hyperlink

extends Hyperlink

Represents an Excel hyperlink.

Field Summary

Fields inherited from interface org.apache.poi.common.usermodel.Hyperlink
`LINK_DOCUMENT, LINK_EMAIL, LINK_FILE, LINK_URL`

Method Summary
`int` `getFirstColumn()` Return the column of the first cell that contains the hyperlink
`int` `getFirstRow()` Return the row of the first cell that contains the hyperlink
`int` `getLastColumn()` Return the column of the last cell that contains the hyperlink
`int` `getLastRow()` Return the row of the last cell that contains the hyperlink
`void` `setFirstColumn(int col)` Set the column of the first cell that contains the hyperlink
`void` `setFirstRow(int row)` Set the row of the first cell that contains the hyperlink
`void` `setLastColumn(int col)` Set the column of the last cell that contains the hyperlink
`void` `setLastRow(int row)` Set the row of the last cell that contains the hyperlink

Methods inherited from interface org.apache.poi.common.usermodel.Hyperlink
`getAddress, getLabel, getType, setAddress, setLabel`

Method Detail

### getFirstRow

    int getFirstRow()

  Return the row of the first cell that contains the hyperlink

  Returns:
    the 0-based row of the cell that contains the hyperlink

### setFirstRow

    void setFirstRow(int row)

  Set the row of the first cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the first cell that contains the hyperlink

### getLastRow

    int getLastRow()

  Return the row of the last cell that contains the hyperlink

  Returns:
    the 0-based row of the last cell that contains the hyperlink

### setLastRow

    void setLastRow(int row)

  Set the row of the last cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the last cell that contains the hyperlink

### getFirstColumn

    int getFirstColumn()

  Return the column of the first cell that contains the hyperlink

  Returns:
    the 0-based column of the first cell that contains the hyperlink

### setFirstColumn

    void setFirstColumn(int col)

  Set the column of the first cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the first cell that contains the hyperlink

### getLastColumn

    int getLastColumn()

  Return the column of the last cell that contains the hyperlink

  Returns:
    the 0-based column of the last cell that contains the hyperlink

### setLastColumn

    void setLastColumn(int col)

  Set the column of the last cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the last cell that contains the hyperlink

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.